Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm experimenting with VPNs, so I wanted to install pptpd.

john@desktop:~$ sudo apt-get install pptpd
[sudo] password for john: 
<snip>
The following extra packages will be installed:
  bcrelay
The following NEW packages will be installed:
  bcrelay pptpd
0 upgraded, 2 newly installed, 0 to remove and 11 not upgraded.
Need to get 90.5 kB of archives.
After this operation, 442 kB of additional disk space will be used.
Do you want to continue [Y/n]? y

And everything runs fine until I get down to here:

WARNING: The following packages cannot be authenticated!
  bcrelay pptpd
Install these packages without verification [y/N]? n
E: Some packages could not be authenticated

No authentication? I'm no security expert, but I'm fairly sure that's a bad thing. So I check to see where the packages are coming from.

john@desktop:~$ apt-cache policy pptpd
pptpd:
  Installed: (none)
  Candidate: 1.3.4-3ubuntu1
  Version table:
     1.3.4-3ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages
john@desktop:~$ apt-cache policy bcrelay
bcrelay:
  Installed: (none)
  Candidate: 1.3.4-3ubuntu1
  Version table:
     1.3.4-3ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

They're coming from Ubuntu.com and not being properly authenticated? What's going on here?

share|improve this question

2 Answers 2

up vote 34 down vote accepted

apt-key utility

apt-key is used to manage the list of keys used by apt to authenticate packages. Packages which have been authenticated using these keys will be considered trusted. To update the local keyring with the keyring of Ubuntu archive keys and removes from the keyring the archive keys which are no longer valid.

$ sudo apt-key update
$ sudo apt-get update

try install something...

share|improve this answer
1  
It worked, but apt-key said it didn't change anything. Any idea what my problem was? –  John Nov 4 '11 at 22:35
    
this can arise from a lot of errors on the package server side. sometimes running apt-get update will fix it. –  ixtmixilix Sep 13 '12 at 20:29
    
Is there any way you can get apt to be specific about what's wrong with the authentication process? maybe the verbose flag? I didn't think to try that and it's already fixed, and I don't know why it happened and don't know how to reproduce it. –  Wug Nov 26 '12 at 2:16
    
In my case, a Ctrl+C during a long aptitude work caused the problem. sudo apt-key update didn't change anything, but sudo apt-get update solved the problem. –  musiphil Mar 21 at 5:35

I had this issue on Ubuntu 12.10 (Quantal Quetzal). The same issue occurred if I tried to use the Synaptic Package Manager GUI.

It turned out that my system was still set to use a proxy server for a network I was no longer connected to and thus could no longer use. Once I disabled the proxy server, apt was able to authenticate the packages properly.

In order to disable the proxy on Ubuntu 12.10 (Quantal Quetzal), follow these steps:

  1. Press the Super button on your keyboard (A.K.A. the Windows Logo button)
  2. Type Network and press enter
  3. Select Network Proxy
  4. Change the method to None
  5. Click Apply System Wide
  6. apt should now be able to authenticate the packages
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.